सामग्री पर जाएँ

Workflow Utilities Pick Image By Index

इंटीग्रेट करें

मॉडल id workflow-utilities/pick-image-by-index
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/pick-image-by-index?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "index": 1
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.001 1 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Utility · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_urls
फ़ाइल ड्रॉप करें, या

चयन स्रोत के रूप में उपयोग की गई इमेज URL ऐरे।

•आवश्यक

स्थिति के आधार पर इमेज चयन, 1 से गिनते हुए: पहली इमेज के लिए 1, दूसरी के लिए 2 और इसी तरह अनुरोध करें।

उन्नत fallback_index
fallback_index डिफ़ॉल्ट first-image

सीमा से बाहर इमेज चयन नीति, डिफ़ॉल्ट रूप से `first-image`; मान्य `index` के लिए इसे अनदेखा किया जाता है, जबकि 1 से कम `index` या खाली `image_urls` array के लिए सत्यापन फिर भी विफल होता है। केवल array की लंबाई से अधिक `index` होने पर ही नीति सक्रिय होती है: `first-image` पहली इमेज चुनता है, जबकि `last-image` अंतिम इमेज चुनता है।

POST /run/workflow-utilities/pick-image-by-index?wait=20 कोटेशन → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/pick-image-by-index?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "index": 1
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Workflow Utilities Pick Image By Index के बारे में

इमेज URL की ऐरे से एक इमेज लौटाता है। `index` 1-आधारित है, इसलिए 1 पहली इमेज देता है। जब इंडेक्स सूची की लंबाई से अधिक होता है, तो `fallback_index` तय करता है कि पहली या आख़िरी इमेज लौटाई जाए। वर्कफ़्लो में चरणों को जोड़ने के लिए उपयोगी।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlsआवश्यक images
प्रकारurl[] · image
चयन स्रोत के रूप में उपयोग की गई इमेज URL ऐरे।
indexआवश्यक
प्रकारinteger
स्थिति के आधार पर इमेज चयन, 1 से गिनते हुए: पहली इमेज के लिए 1, दूसरी के लिए 2 और इसी तरह अनुरोध करें।
fallback_indexवैकल्पिक
प्रकारenum
डिफ़ॉल्टfirst-image
first-imagelast-image
सीमा से बाहर इमेज चयन नीति, डिफ़ॉल्ट रूप से `first-image`; मान्य `index` के लिए इसे अनदेखा किया जाता है, जबकि 1 से कम `index` या खाली `image_urls` array के लिए सत्यापन फिर भी विफल होता है। केवल array की लंबाई से अधिक `index` होने पर ही नीति सक्रिय होती है: `first-image` पहली इमेज चुनता है, जबकि `last-image` अंतिम इमेज चुनता है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "workflow-utilities/pick-image-by-index",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "index": 1
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
image
object {url, content_type, file_name, file_size, width, height}निर्दिष्ट स्थिति पर चुनी गई इमेज।
images
array of object {url, content_type, file_name, file_size, width, height}डाउनस्ट्रीम नोड्स के लिए संगतता आउटपुट, जो `images` संदर्भ की अपेक्षा करते हैं, जैसा कि merge और अन्य यूटिलिटी द्वारा दिया जाता है। इसमें चुनी गई इमेज एक-तत्व वाले array में होती है, इसलिए उन नोड्स में किसी बदलाव की आवश्यकता नहीं होती।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/workflow-utilities/pick-image-by-index.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt